DocsAPI ReferenceProduct Category/bff/product-category/category-ai-suggest
postProduct CategoryAdmin BFF

/bff/product-category/category-ai-suggest

Uses Claude (via askAIJson) and the categorys products to produce description, metaTitle, metaDescription, imageAlt.

Product CategorypostBffProduct-categoryCategory-ai-suggest

Parameters

3 body

3 total
Body · 3
codestringRequired
localestring
styleHintstring

Request

POST /bff/product-category/category-ai-suggest

post
curl -X POST "https://api.bizkithub.com/bff/product-category/category-ai-suggest" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "example_code",
  "locale": "example_locale",
  "styleHint": "example_styleHint"
}'

Response

JSON payload

{
  "description": "example_description",
  "metaTitle": "example_metaTitle",
  "metaDescription": "example_metaDescription",
  "imageAlt": "example_imageAlt"
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key